Package org.eclipse.birt.report.model.api.metadata

# Interface ITemplateMethodInfo

All Superinterfaces:
  `ILocalizableInfo`, `IMethodInfo`

All Known Implementing Classes:
  `TemplateMethodInfo`

public interface ITemplateMethodInfo extends IMethodInfo
Represents the method information that can provide code template.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCodeTemplate()`
Returns the template code snippet for the method.

### Methods inherited from interface org.eclipse.birt.report.model.api.metadata.ILocalizableInfo

`getDisplayName, getDisplayNameKey, getName`

### Methods inherited from interface org.eclipse.birt.report.model.api.metadata.IMethodInfo

`argumentListIterator, getClassReturnType, getJavaDoc, getReturnType, getToolTip, getToolTipKey, isConstructor, isStatic`

## Method Details

### getCodeTemplate

String getCodeTemplate()
Returns the template code snippet for the method.

Returns:
  the code template in string